package com.fs.company.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【请填写功能名称】对象 company_user_card
 *
 * @author fs
 * @date 2023-04-25
 */
public class CompanyUserCard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 微信url_scheme */
    @Excel(name = "微信url_scheme")
    private String urlScheme;

    /** 名片图片地址 */
    @Excel(name = "名片图片地址")
    private String imageUrl;


    /** 名片短地址 */
    @Excel(name = "名片短地址")
    private String shortUrl;

    /** 名片图片地址 */
    @Excel(name = "名片描述")
    private String title;

    /** 0:个微 1:企微 */
    @Excel(name = "0:个微 1:企微")
    private Long type;

    /** $column.columnComment */
    @Excel(name = "0:未访问 1:已访问")
    private String isVisit;

    /** 名片访问次数 */
    @Excel(name = "名片访问次数")
    private Long lookNum;

    /** 名片访问人数 */
    @Excel(name = "名片访问人数")
    private Long personNum;

    /** 名片访问ip数 */
    @Excel(name = "名片访问ip数")
    private Long ipNum;


    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    @Excel(name = "公司id")
    private Long companyId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUrlScheme(String urlScheme)
    {
        this.urlScheme = urlScheme;
    }

    public String getUrlScheme()
    {
        return urlScheme;
    }
    public void setImageUrl(String imageUrl)
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl()
    {
        return imageUrl;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setIsVisit(String isVisit)
    {
        this.isVisit = isVisit;
    }

    public String getIsVisit()
    {
        return isVisit;
    }
    public void setLookNum(Long lookNum)
    {
        this.lookNum = lookNum;
    }

    public Long getLookNum()
    {
        return lookNum;
    }
    public void setPersonNum(Long personNum)
    {
        this.personNum = personNum;
    }

    public Long getPersonNum()
    {
        return personNum;
    }
    public void setIpNum(Long ipNum)
    {
        this.ipNum = ipNum;
    }

    public Long getIpNum()
    {
        return ipNum;
    }


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getShortUrl() {
        return shortUrl;
    }

    public void setShortUrl(String shortUrl) {
        this.shortUrl = shortUrl;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("urlScheme", getUrlScheme())
                .append("imageUrl", getImageUrl())
                .append("type", getType())
                .append("isVisit", getIsVisit())
                .append("lookNum", getLookNum())
                .append("personNum", getPersonNum())
                .append("ipNum", getIpNum())
                .toString();
    }
}
